* ---------------------------------------------------------------------------- *
* Draw Figure 5: Survival function up to 6 months                              *
* ---------------------------------------------------------------------------- *

	qui drop _all
	qui use "${datapath}\men_jul96mar98.dta", replace

	qui gen t=_n if _n<182
	qui keep if age>19
	qui ta G if G~=0, g(G)

	forvalues g=1/5 {
		qui cap drop S`g'
		qui cap drop se`g'
		qui gen S`g' = .
		qui count if G`g' == 1
		local totN = r(N)
		forvalues i=0/181 {
			qui count if G`g'==1 & dur>`i'
			qui replace S`g' = r(N)/`totN' if t==`i'
		}
	}
	
	label var S1 "treated: oct 97 cohort"
	label var S2 "control: sep 97 cohort"
	label var S3 "control: aug 97 cohort"
	label var S4 "control: oct 96 cohort"
	label var S5 "control: sep 97 + oct 96 cohorts"
	twoway line S1 S2 S3 S4 S5 t if t<182, ///
		lpattern(solid solid dash dash longdash) ///
		lcolor(navy lavender navy lavender pink) ///
		xtitle("days since inflow") ytitle("survival rates") ///
		graphregion(fcolor(white)) 
