* ---------------------------------------------------------------------------- *
* Construct Table 1 - men observations                                         *
* ---------------------------------------------------------------------------- *

** select sample over time period of interest amd age group of interest

	use "${datapath}\juvos0105_men.dta", replace
	keep if sue>=mdy(7,1,1996) & sue<=mdy(3,31,1998)
	gen agesue = (suey-year(dob)) - ( mdy(suem,sued,year(dob))<dob )

	local m=6
	gen int date6m = mdy(month(sue)+`m'-12*(month(sue)+`m'>12)-12*(month(sue)+`m'>24),day(sue),year(sue)+(month(sue)+`m'>12)+(month(sue)+`m'>24))
	replace date6m = mdy(month(sue)+`m'+1-12*(month(sue)+`m'>12)-12*(month(sue)+`m'>24),1,year(sue)+(month(sue)+`m'>12)+(month(sue)+`m'>24)) if date`m'm==.
	format date6m %d
	gen byte age6m = year(date`m'm) - year(dob) - (date`m'm<mdy(month(dob),day(dob),year(date`m'm)))
	keep if inrange(age6m,20,24)

	gen dur = .
	replace dur = etd-sue
	label var dur "Duration of unemployment spell in days"
	keep if dur>0


* construct cohort indicators

	gen     G = 1*(inrange(sue,mdy(10,1,1997),mdy(10,30,1997))) ///
	          + 2*(inrange(sue,mdy(9,1,1997),mdy(9,30,1997)))   ///
			  + 3*(inrange(sue,mdy(8,1,1997),mdy(8,30,1997)))   ///
			  + 4*(inrange(sue,mdy(10,1,1996),mdy(10,30,1996))) if PF==0
	replace G = 1*(inrange(sue,mdy(7,1,1997),mdy(7,30,1997)))   ///
	          + 2*(inrange(sue,mdy(6,1,1997),mdy(6,30,1997)))   ///
			  + 3*(inrange(sue,mdy(5,1,1997),mdy(5,30,1997)))   ///
			  + 4*(inrange(sue,mdy(7,1,1996),mdy(7,30,1996))) if PF==1
	replace G=. if G==0
	label var G "group"
	label define G 1 "oct 97 cohort" 2 "sep 97 cohort" 3 "aug 97 cohort" 4 "oct 96 cohort"
	label values G G

	gen G5 = inlist(G,2,4)
	label define G5 1 "sep97+oct96 cohort"
	label values G5 G5
	
* construct variables to be summarised

	gen noU3y = (U3y==0)
	gen noU1y = (U1y==0)
	
* construct table of summary stats

	gen unit=1
	table unit G if dur>181  & sex==1, c(freq)
	table unit G5 if dur>181 & sex==1 & G5==1, c(freq)
	table unit G if dur>181  & sex==1, c(mean maritalst4 mean agesue mean timeU3y mean U3y mean noU3y) format(%6.3f) 
	table unit G5 if dur>181 & sex==1 & G5==1, c(mean maritalst4 mean agesue mean timeU3y mean U3y mean noU3y) format(%6.3f) 


