* ---------------------------------------------------------------------------- *
* Construct Table 2 - check balance in distribution of observables for treated *
* and comparison groups                                                        *
* ---------------------------------------------------------------------------- *

* prepare data
* ------------

	use "$datapath\men_jul96mar98.dta", replace

	qui ta reg1d, g(reg1d)
	qui ta age6m, g(age6m)
	qui drop socus1d
	qui gen socus1d=int(socus/1000)
	qui ta socus1d, g(socus1d)
	qui gen noU1y=(timeU1y==0)
	qui gen noU2y=(timeU2y==0)
	qui gen noU3y=(timeU3y==0)


* joint tests
* -----------

	forvalues g=2/4{
		hotelling maritalst? if inlist(G,1,`g') & dur>181 & age6m>19, by(G)
		hotelling age6m? if inlist(G,1,`g') & dur>181 & age6m>19, by(G)
		hotelling reg1d? reg1d?? if inlist(G,1,`g') & dur>181 & age6m>19, by(G)
		hotelling socus1d? socus1d10 if inlist(G,1,`g') & dur>181 & age6m>19, by(G)
		hotelling timeU?y if inlist(G,1,`g') & dur>181 & age6m>19, by(G)
		hotelling U?y if inlist(G,1,`g') & dur>181 & age6m>19, by(G)
		hotelling noU?y if inlist(G,1,`g') & dur>181 & age6m>19, by(G)
		hotelling maritalst? age6m? reg1d? reg1d?? socus1d? socus1d10 timeU?y U?y noU?y if inlist(G,1,`g') & dur>181 & age6m>19, by(G)
	}

qui gen g=1 if G==1
qui replace g=2 if G==2 | G==4
hotelling maritalst? if dur>181 & age6m>19, by(g)
hotelling age6m? if dur>181 & age6m>19, by(g)
hotelling reg1d? reg1d?? if dur>181 & age6m>19, by(g)
hotelling socus1d? socus1d10 if dur>181 & age6m>19, by(g)
hotelling timeU?y if dur>181 & age6m>19, by(g)
hotelling U?y if dur>181 & age6m>19, by(g)
hotelling noU?y if dur>181 & age6m>19, by(g)
hotelling maritalst? age6m? reg1d? reg1d?? socus1d? socus1d10 timeU?y U?y noU?y if dur>181 & age6m>19, by(g)
