* ---------------------------------------------------------------------------- *
* Table 3: treatment vs comparison groups prior to treatment                   *
* ---------------------------------------------------------------------------- *


* load data

	qui use "${datapath}\men_jul96mar98.dta", replace
	qui keep if age>19

* create indicator variables

	qui ta reg1d, g(reg1d)
	qui ta age6m, g(age6m)
	qui drop socus1d
	qui gen socus1d=int(socus/1000)
	qui ta socus1d, g(socus1d)
	qui gen noU1y=(timeU1y==0)
	qui gen noU2y=(timeU2y==0)
	qui gen noU3y=(timeU3y==0)

* group dummies

	global P98  = mdy(1,1,1998)
	global NP98 = mdy(4,1,1998)

	qui gen g2C = ((PF==0 & inrange(sue,$NP98-91, $NP98+29-91))  | (PF==1 & inrange(sue,$P98-91, $P98+29-91 )))
	qui gen g3C = ((PF==0 & inrange(sue,$NP98-121,$NP98+29-121)) | (PF==1 & inrange(sue,$P98-121,$P98+29-121)))
	qui gen g4C = ((PF==0 & inrange(sue,$NP98-151,$NP98+29-151)) | (PF==1 & inrange(sue,$P98-151,$P98+29-151)))
	qui gen g5C = ((PF==0 & inrange(sue,$NP98-181,$NP98+29-181)) | (PF==1 & inrange(sue,$P98-181,$P98+29-181)))

	qui gen g2T = ((PF==0 & inrange(sue,$NP98-61, $NP98+29-61))  | (PF==1 & inrange(sue,$P98-61, $P98+29-61 )))
	qui gen g3T = ((PF==0 & inrange(sue,$NP98-91, $NP98+29-91))  | (PF==1 & inrange(sue,$P98-91, $P98+29-91 )))
	qui gen g4T = ((PF==0 & inrange(sue,$NP98-121,$NP98+29-121)) | (PF==1 & inrange(sue,$P98-121,$P98+29-121)))
	qui gen g5T = ((PF==0 & inrange(sue,$NP98-151,$NP98+29-151)) | (PF==1 & inrange(sue,$P98-151,$P98+29-151)))


* joint tests

	forvalues g=2/5{

		local days=`g'*30+1

		qui cap drop treat
		qui gen treat = 1 if g`g'T==1
		qui replace treat = 0 if g`g'C==1

		hotelling maritalst? if treat~=. & dur>`days', by(treat)
		hotelling age6m? if treat~=. & dur>`days', by(treat)
		hotelling reg1d? reg1d?? if treat~=. & dur>`days', by(treat)
		hotelling socus1d? socus1d10 if treat~=. & dur>`days', by(treat)
		hotelling timeU?y if treat~=. & dur>`days', by(treat)
		hotelling U?y if treat~=. & dur>`days', by(treat)
		hotelling noU?y if treat~=. & dur>`days', by(treat)
		hotelling maritalst? age6m? reg1d? reg1d?? socus1d? socus1d10 timeU?y U?y noU?y if treat~=. & dur>`days', by(treat)
		
	}

