* ---------------------------------------------------------------------------- *
* Table 5: parametric specification                                            *
* ---------------------------------------------------------------------------- *


* load data

	qui use "$datapath\men_jul96mar98.dta", replace

* select sample

	qui gen inregr = ( ( PF==1 & ( inrange(sue,mdy(7 ,1,1997),mdy(12,31,1997)) | inrange(sue,mdy(7 ,1,1996),mdy(12,31,1996)) ) ) | ///
		     		   ( PF==0 & ( inrange(sue,mdy(10,1,1997),mdy(3 ,31,1998)) | inrange(sue,mdy(10,1,1996),mdy(3 ,31,1997)) ) ) )
	qui keep if inregr==1 & inrange(age6m,20,24)

* select 1 observation per individual	

	qui set seed 850815097
	qui gen rv = uniform()
	qui sort esrcid rv
	qui by esrcid: gen n=_n
	qui keep if n==1

* variables for weibul regression

	qui gen leftU = 1
	qui replace leftU = 0 if ( PF==1 & etd>mdy(1,1,1998) & inrange(sue,mdy(7,1,1996),mdy(12,31,1996)) ) | ///
		     				 ( PF==0 & etd>mdy(4,1,1998) & inrange(sue,mdy(10,1,1996),mdy(3 ,31,1997)) )
	qui gen dur1 = etd-sue if leftU==1
	qui replace dur1 = mdy(1,1,1998)-sue if PF==1 & leftU==0
	qui replace dur1 = mdy(4,1,1998)-sue if PF==0 & leftU==0

	qui stset dur1, failure(leftU) id(esrcid)
	qui stsplit mth6, at(182)

	qui gen nd = ( mth6>1 & ( (PF==1 & sue>=mdy(7,1,1997)) | (PF==0 & sue>=mdy(10,1,1997)) ) )

* regression

	streg nd, dist(weibull) nolog hr
	streg nd age6m PF maritalst1 maritalst2 maritalst3 maritalst4 timeU1y U1y timeU3y U3y, dist(weibull) nolog hr

