** -----------------------------------------------------------------------------
** Create figures and tables in Van den Berg, Bozio and Costa Dias
** "Policy Discontinuity and Duration Outcomes"
** Quantitative Economics
** -----------------------------------------------------------------------------


** Before running: define path for data and do files and 
** save JUVOS dataset (called esrc0501.dta) in datapath
*	global datapath    ""
*	global dopath      ""


** Load routines for estimation

	do "$dopath\Hazard Routines.do"
	

** Data construction

	do "$dopath\data construction 1.do"  // creates main dataset for men
	do "$dopath\data construction 2.do"  // creates smaller case-specifc datasets to speed up estimation

	
** Tables

	do "$dopath\Table 1.do"
	do "$dopath\Table 2.do"
	do "$dopath\Table 3.do"
	do "$dopath\Table 4.do"
	do "$dopath\Table 5.do"
	do "$dopath\Table 6.do"


** Figures

	do "$dopath\Figure 5.do"
	do "$dopath\Figure 6.do"
	do "$dopath\Figure 7.do"
	do "$dopath\Figure 8.do"
	do "$dopath\Figure 9.do"

** -----------------------------------------------------------------------------
